import slugify from '../utils/slugify.js';

function init() {
	const cases = [
		'Brave, New World',
		'Jœrgenbahn    Straße',
		'Partêrre',
		'Ápres ski.',
		'very 😀 true 😃',
		'a véééry long piece of text that should not result in a very long slug, even for $100',
		'don\'t you, forget about me',
		'Pneumonoultramicroscopicsilicovolcanoconiosis',
		'this (old) spicemen[sic]',
		'contact@example.com',
		'!@#$%',
		'',
		'  ',
		['this is', '2026-01-01', 'an array', '', ' ', 'test'],
	];

	cases.forEach((item) => console.log(item, '-->', slugify(item, '-', { limit: 20 })));

	cases.forEach((item) => console.log(item, '-->', slugify(item, '-', {
		lower: true,
		accents: false,
		punctuation: false,
		symbols: 'split',
		limit: 50,
	})));
}

init();
